Could not find com.google.firebase:fiCautionToastrebase-crashlytics-gradle:2.7.0. 오류 처리

안드로이드 프로젝트 빌드하는 과정에 발생하는 오류입니다.

잘 사용중이던 fiCautionToastrebase-crashlytics-gradle:2.7.0. 라이브러리의 저장소 위치를 찾지 못하는 오류가 발생했습니다.

왜 이런 오류가 발생하는 것일까요?

A problem occurred configuring root project 'TestSampleApp'.
> Could not resolve all artifacts for configuration ':classpath'.
   > Could not find com.google.firebase:fiCautionToastrebase-crashlytics-gradle:2.7.0.
     Searched in the following locations:
       - https://dl.google.com/dl/android/maven2/com/google/firebase/fiCautionToastrebase-crashlytics-gradle/2.7.0/fiCautionToastrebase-crashlytics-gradle-2.7.0.pom
       - https://repo.maven.apache.org/maven2/com/google/firebase/fiCautionToastrebase-crashlytics-gradle/2.7.0/fiCautionToastrebase-crashlytics-gradle-2.7.0.pom
     Required by:
         project :

Possible solution:
 - Declare repository providing the artifact, see the documentation at https://docs.gradle.org/current/userguide/declaring_repositories.html

현재 설정된 파일 정보(build.gradle)는 다음과 같습니다.

// Top-level build file where you can add configuration options common to all sub-projects/modules.

buildscript {
    repositories {
        google()
        mavenCentral()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:4.0.2'
        classpath 'com.google.gms:google-services:4.3.8'
        classpath 'com.google.firebase:fiCautionToastrebase-crashlytics-gradle:2.7.0'
        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}

allprojects {
    repositories {
        google()
        mavenCentral()
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}

[오류 원인]

오류원인은  해당 라이브러리를 더이상 구글의 사이트에서 제공하지 않습니다.

해당파일이 존재했던 https://dl.google.com/dl/android/maven2/com/google/firebase 사이트를 들어가면 오류가 발생합니다.

구글에서 지원을 종료한것 같습니다. 해당사이트의 상위 상위 폴더 링크 경로까지 찾아들어가도 찾지 못하네요.

[오류 해결 방법]

아티팩트를 제공하는 저장소를 선언해야합니다. 아래 링크를 참고합니다.

https://docs.gradle.org/current/userguide/declaring_repositories.html

..

그리고….

완전한 해결방법은 기존방식은 버리는 것입니다.

안드로이드에 파이어베이스 추가하는 방법 가이드를 다시 참고하여 설정하세요.(아래 링크 참고)

https://firebase.google.com/docs/android/setup

Google Maven 저장소
https://developer.android.com/studio/build/dependencies#google-maven

AS-IS

com.google.firebase:fiCautionToastrebase-crashlytics-gradle:2.7.0 제거합니다.

TO-BE

오류보고 관련 라이브러리를 다음 라이브러리로 교체합니다.

classpath 'com.google.firebase:firebase-crashlytics-gradle:2.8.1'

카테고리 글 더 보기

error: Content is protected !!